EDIT - feature request #8281

Doubtful flag for TaxonNode
05/16/2019 04:33 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.8

Severity: normal

Description

DISCUSS: Is this the same as the "unplaced" flag?
ERS:

dies bedeutet in allen Féllen, dass die Editoren sich nicht sicher sind, ob das Taxon tatasachlich zu dem parent (also der Sektion)
gehort. Zurzeit wird diese Information wie folgt ausgegeben:

http://ww2.bgbm.org/EuroPlusMed/PTaxonDetail.asp?Nameld=7532777& PTRefFk=7700000

So ahnlich sollte es dann auch nach der Migration aussehen.

Es misste doch im CDM auch die Méglichkeit geben, die Eltern-Kind-Beziehung als "doubtful" oder "provisional" zu kennzeichnen?
Bei Gattungen und Arten macht dies offensichtlich keinen Sinn; bei Sektionen, Aggregaten oder &hnlichen Rangstufen hat man den
Fall dagegen schon 6fter, dass man nicht genau weif3, zu welchem infragenerischem Taxon eine Art gehdren soll.

Related issues:
Related to EDIT - feature request #10096: Add new TaxonNode status and make n... Closed
Precedes EDIT - feature request #8282: Implement placementDoubtful in TaxEditor Closed

Associated revisions

Revision 79959591 - 07/17/2019 10:44 AM - Andreas Miiller

ref #8281 and E+M import (additional attributes in TeamOrPersonBase, Reference and TaxonNode)

Revision 4f16dfd5 - 07/23/2019 10:17 PM - Andreas Miiller
ref #8281 add doubtful to TaxonNode

Revision 1ac56bd8 - 07/24/2019 11:08 AM - Andreas Miiller
ref #8281 add doubtful to TaxonNode (remaining)

Revision 8b7ea5be - 07/25/2019 12:27 PM - Andreas Miiller
ref #8281 adapt TaxEditor test data to doubtful flag in TaxonNode

History

#1 - 05/16/2019 04:33 PM - Andreas Miiller
Hallo Eckhard,

folgende Taraxacum Taxa haben alle in der Beziehung zu ihrem Parent ein ,provisional“ Flag gesetzt.
Hast du eine Idee, was das bedeuten soll und soll diese Information irgendwie importiert werden?

Taraxacum androssovii Schischk.
Taraxacum anglicum Dabhlst.
Taraxacum atricapillum Sonck
Taraxacum humbertii Maire
Taraxacum maurostigma Markl.
Taraxacum mirabile Wagenitz
Taraxacum neosivaschicum Tzvelev
Taraxacum rhodolepis Dahlst.
Taraxacum acrifolium Dahlst.
Taraxacum callosum Soest
Taraxacum grammolepis Dahlst.
Taraxacum hilare Dahlst.

Taraxacum litophyllum De Langhe & Soest
Taraxacum magnobliquum Soest
Taraxacum merinoi Soest

Taraxacum renosense Soest

Taraxacum shetlandicum Dabhlst.
Taraxacum bithynicum DC.

Taraxacum decorum Dahlst.

Taraxacum obscuratum Dahlst.
Taraxacum lojoense H. Lindb.
Taraxacum oxycentrum Markl.
Taraxacum phalarocephalum G. E. Haglund
Taraxacum pullum Puol.

Taraxacum scololobum G. E. Haglund
Taraxacum steenhoffianum Dahlst.
Taraxacum subatroplumbeum G. E. Haglund
Taraxacum limnophilum Soest
Taraxacum mediterraneiforme Soest
Taraxacum sanguinicolor Saarsoo
Taraxacum tenuisectum Sommier & Levier
Taraxacum apulicum Soest

Taraxacum dialeptum Sonck

Taraxacum erzincanense R. Doll
Taraxacum poliochloroides R. Doll
Taraxacum lecitodes G. E. Haglund
Taraxacum penelobum Sahlin
Taraxacum salonikiense Sonck
Taraxacum stenospermum Sennen
Taraxacum puniceum Sahlin

Taraxacum macrodon Markl.

Taraxacum pseudohirtellum G. E. Haglund
Taraxacum aragonicum Sahlin
Taraxacum cyrtum Sahlin

Taraxacum poodes Sahlin

Taraxacum subaragonicum Sabhlin
Taraxacum toletanum Sennen
Taraxacum nevadense H. Lindb.
Taraxacum amplexum Sonck
Taraxacum fascinans Kirschner & al.
Taraxacum rutilum Kirschner & Stépanek
Taraxacum ampelophytum Sahlin
Taraxacum conforme Palmgr.
Taraxacum dissonum Rail.

Taraxacum miserum M. P. Christ.
Taraxacum porrectidens Dahlst.
Taraxacum schlobarum R. Doll
Taraxacum strelitziense R. Doll
Taraxacum subsagittipotens Dahlst.
Taraxacum userinum R. Doll

Taraxacum warenum R. Doll

Taraxacum ziwaschum R. Doll
Taraxacum hamosum T. A. Lange
Taraxacum lofotense G. E. Haglund
Taraxacum poliomelanum G. E. Haglund

SELECT n.FullNameCache, rel.RelPTaxonId, rel.PTNameFkl,
RelQualifierFk, rel.RelRefFk, rel.Notes, rel.Provisional
FROM RelPTaxon AS rel INNER JOIN

Name AS n ON n.NameId = rel.PTNameFkl
WHERE (rel.Provisional = 1)

#2 - 05/16/2019 04:41 PM - Andreas Miiller
- Priority changed from New to Highest

#3 - 05/16/2019 04:41 PM - Andreas Miiller

- Status changed from New to In Progress

#4 - 05/16/2019 04:54 PM - Andreas Miiller

- Precedes feature request #8282: Implement placementDoubtful in TaxEditor added

#5 - 05/16/2019 05:01 PM - Andreas Miiller
- Description updated

#6 - 05/18/2019 07:51 AM - Andreas Mdiller

ERS:
ich sehe das genauso wie du. "Unplaced" taxa sind gar nicht hierarchisch eingeordnet, wahrend provisional bedeutet, dass eine Einordnung
vorgenommen wurde, wenn auch provisorisch. So gehért etwa Taraxacum acrifolium Dahlst. provisorisch zu Taraxacum sect. Naevosa M. P. Christ..

"Unplaced" wiirde bedeuten, dass es nur zu Taraxacum gehért, aber nicht, auch nicht provisorisch, zu einer Sektion zugeordnet werden kann. Von
daher gibt es einen Unterschied, und es ist nicht redundant.

AM:
nochmal zu dem ,provisional” Flag. Ich frage mich gerade, ob dies durch das ,unplaced“ Flag im CDM abgedeckt wird. Allerdings kommt mir das
irgendwie semantisch etwas anders vor. Unplaced hort sich fir mich eher wie ,noch gar nicht richtig einsortiert” an wéahrend provisional , preliminary

oder doubtful eher eine gewisse Unsicherheit ausdriickt, ob es wirklich der richtige Ort ist.

Wie siehst du das? Ich frage, weil dieses Flag im CDM ja quasi neu dazukdme. Bevor ich das mache, will ich mir sicher sein, dass ich es richtig
verstehe und es nicht redundant ist.

#7 - 07/23/2019 01:27 PM - Andreas Miiller
- Target version changed from Euro+Med Migration to COM UML 5.15

#8 - 07/23/2019 01:37 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.8

#9 - 07/24/2019 07:50 PM - Andreas Miuller

- Status changed from In Progress to Resolved

still need to update E+M data

#10 - 07/24/2019 07:50 PM - Andreas Miiller
- % Done changed from 0 to 40

#11 - 11/20/2019 05:01 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 40 to 100

E+M data updated

UPDATE TaxonNode

Set unplaced = 0, doubtful = 1

WHERE unplaced = 1

also for _AUD

#12 - 07/26/2022 11:59 AM - Andreas Miiller

- Related to feature request #10096: Add new TaxonNode status and make notes field more general added
